// VTC1011 MCU UPDATE V1.0 2017/09/12
#define VTC1011_MCU_UPDATE_API extern "C" __declspec(dllimport)


VTC1011_MCU_UPDATE_API void MCU_Update_Get_DLL_Version(int *pnMajorVersion, int *pnMinorVersion);

VTC1011_MCU_UPDATE_API int  MCU_Update_Connect();
VTC1011_MCU_UPDATE_API void MCU_Update_Disconnect();

VTC1011_MCU_UPDATE_API int MCU_Update_LoadBinFile(const char *pszFileName, char *pszVersion, unsigned int nVersionLen);
VTC1011_MCU_UPDATE_API int MCU_Update_LoadBinFile_W(const wchar_t *pszFileName, wchar_t *pszVersion, unsigned int nVersionLen);
VTC1011_MCU_UPDATE_API int MCU_Update_EnterUpdateModeAndEraseFlash();

VTC1011_MCU_UPDATE_API int MCU_Update_Start();
VTC1011_MCU_UPDATE_API int MCU_Update_IsUpdateFinish(unsigned int *pnPercent);
VTC1011_MCU_UPDATE_API int MCU_Update_DoUpdate();

VTC1011_MCU_UPDATE_API int MCU_Update_Check_Start();
VTC1011_MCU_UPDATE_API int MCU_Update_IsCheckFinish(unsigned int *pnPercent);
VTC1011_MCU_UPDATE_API int MCU_Update_DoCheck();

VTC1011_MCU_UPDATE_API int MCU_Update_Finish();
VTC1011_MCU_UPDATE_API int MCU_Update_Reboot();
